import request from '@/utils/request'

// 获取派费列表
export function getFillCheck(parameter) {
  return request({
    url: '/api/fill-check',
    method: 'get',
    params: parameter
  })
}
// 获取钢瓶档案列表
export function getGasCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder',
    method: 'get',
    params: parameter
  })
}
// 获取钢瓶档案详情
export function getGasCylinderDetails(parameter) {
  return request({
    url: '/api/gas-cylinder/' + parameter,
    method: 'get',
  })
}

// 获取充装管理列表
export function getFillData(parameter) {
  return request({
    url: '/api/fill_data',
    method: 'get',
    params: parameter
  })
}

// 获取气瓶流转步骤列表
export function getOperationLog(parameter) {
  return request({
    url: '/api/operation-log',
    method: 'get',
    params: parameter
  })
}

// 获取气站列表
export function getStation(parameter) {
  return request({
    url: '/api/fill_data/station',
    method: 'get',
    params: parameter
  })
}

// 获取充装员列表
export function getUserFillData(parameter) {
  return request({
    url: '/api/fill_data/user',
    method: 'get',
    params: parameter
  })
}

// 添加钢瓶
export function addGasCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder',
    method: 'post',
    data: parameter
  })
}

// 编辑钢瓶
export function putGasCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder',
    method: 'put',
    data: parameter
  })
}

// 删除钢瓶
export function delGasCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder',
    method: 'delete',
    data: parameter
  })
}
